HoudahSpot icon

Is HoudahSpot Optimized for Upcoming Versions of macOS?

You may have seen the following warning: “HoudahSpot” is not optimized for your Mac and needs to be updated. Worry not, HoudahSpot 5.0 is “optimized” for current and future versions of macOS.

Caveat: As of this writing HoudahSpot has not yet been fully tested or updated for compatibility with macOS 10.15 Catalina. It will in time for the public release of macOS Catalina.

MacOS 10.14 Mojave is trying to warn you that the upcoming macOS 10.15 Catalina will no longer run 32-bit software. It will only support 64-bit software.

While HoudahSpot is a 64-bit application, it relies on Spotlight importer plug-ins to get the text to show in Text Preview. Different Spotlight plug-ins specialize in different file formats. Such importers are installed with the system as well as with applications that create custom file formats.

When HoudahSpot comes across an older Spotlight importer plug-ins importer that is available only in a 32-bit version, it starts a small helper to talk to that importer. This is what triggers the warning. It is HoudahSpot bending over to be compatible with legacy software.

This will not be a problem on macOS 10.15 Catalina. The older Spotlight importers will not be able to run. HoudahSpot will not need to try to talk to these importers. Files created by the applications owning those importers will no longer be indexed until these applications are updated.